import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (h, e, s, c) => {
  for (var t = c > 1 ? void 0 : c ? m(e, s) : e, o = h.length - 1, p; o >= 0; o--)
    (p = h[o]) && (t = (c ? p(e, s, t) : p(t)) || t);
  return c && t && f(e, s, t), t;
};
let r = class extends l {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--cc2", this.class = "c-pieIcon c-pieIcon--cc2", this.name = "IconCc2";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--cc2"><path d="M13.381 3.011H2.62c-.849 0-1.531.683-1.531 1.532v7.35c0 .84.69 1.53 1.53 1.53h10.763c.84 0 1.531-.69 1.531-1.53v-7.35c0-.84-.69-1.532-1.53-1.532m.219 8.881a.217.217 0 0 1-.219.22H2.62a.217.217 0 0 1-.219-.22v-7.35c0-.122.096-.218.219-.218H13.38c.123 0 .219.096.219.219z"></path><path d="M8.779 9.478H3.686v1.312H8.78z"></path><path d="M6.591 6.835H3.686v1.313h2.905z"></path><path d="M12.27 6.835H7.921v1.313h4.349z"></path><path d="M12.296 9.478H10.1v1.312h2.196z"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = i([
  v("icon-cc2")
], r);
export {
  r as IconCc2
};
